### The "UI" package

This package provides --verbose and --quiet flag features to your cli.
It recognize both short and long flags. The package contains three functions:
- **PrintOut** to print regular messages unless --quiet flag is set.
- **PrintVerbose** to print messages only if --verbose flag is set, but --quiet
flag is not.
- **SetupOutputMode** to reconfigure output mode in the runtime.

-------------

### Usage
1. Download the package by **go get** command:
```shell
go get code.foilhatguy.casa/pub/ui
```
2. Import package to your golang code:
```go
import (
	"code.foilhatguy.casa/pub/ui"
)
```
There is no need for additional configuration. The package have its own **init** 
function to detect --verbose and --quiet flags.

3. Use **PrintOut** and **PrintVerbose** functions to print
messages to the standard output:
```go
    ui.PrintOut("Some regular message.")
    ui.PrintVerbose("Some message printed only if --verbose flag is set.")
```